#!/bin/sh

echo "Configuring Boblight..."
echo
if ! [ -e /var/lib/opkg/lock ] || [ -e /usr/lib/opkg/lock ]; then
	
	echo "Update feeds..."
	opkg update 1>/dev/null; 
	echo "Try to install cdc-acm module..."
	opkg install kernel-module-cdc-acm;
	depmod -a 1>/dev/null;
	modprobe -a cdc_acm 1>/dev/null;
	cp /home/boblight-addons/cdc_acm.conf /etc/modules-load.d/cdc_acm.conf 1>/dev/null
	
	echo
	echo "Try to install ftdi-sio module..."
	opkg install kernel-module-ftdi-sio;
	depmod -a 1>/dev/null;
	modprobe -a ftdi_sio 1>/dev/null;
	cp /home/boblight-addons/ftdi_sio.conf /etc/modules-load.d/ftdi_sio.conf 1>/dev/null;
	echo
	echo "Try to install libusb and libpng..."
	opkg install /home/boblight-addons/libpng12-0_1.2.42-r2.0_mipsel.ipk
	opkg install libusb-0.1-4 libusb-1.0-0 usbutils
	
	echo "Reload rules..."
	udevadm control --reload-rules 1>/dev/null 2>/dev/null
	udevadm control --reload_rules 1>/dev/null 2>/dev/null
	
	echo "Set permissions..."
	chmod +x /etc/init.d/boblight* 1>/dev/null
	chmod +x /usr/bin/boblight* 1>/dev/null
	sleep 1
	echo

else
	echo "Set permissions..."
	chmod +x /etc/init.d/boblight* 1>/dev/null
	chmod +x /usr/bin/boblight* 1>/dev/null
	sleep 1
	echo
	echo "ERROR: some ipk's can't installed you are running opkg right now."
	echo "Please install now with:"
	echo 
	echo "'/usr/bin/boblight-dev.sh'"
fi

echo
echo "Boblight installed..."
echo
echo ">>>>Sometimes your atmolight/karatelight.... is not /dev/ttyUSB0 then it's /dev/ttyACM0<<<<"
echo
echo "You can now use the Plugin. Please restart Enigma2 or reboot box."
echo "Don't forget to set your device in the /etc/boblight.conf file, others boblight will not work..."

exit 1
